Skip to main content
POST
/
v1
/
subscriptions
/
{id}
/
cancel
Cancel a subscription
curl --request POST \
  --url https://api.useduro.com/v1/subscriptions/{id}/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "atPeriodEnd": false
}
'
{
  "id": "<string>",
  "planId": "<string>",
  "currentPeriodStart": "<string>",
  "currentPeriodEnd": "<string>",
  "cyclesCompleted": 123,
  "createdAt": "<string>"
}

Authorizations

Authorization
string
header
required

A secret key (sk_test_… / sk_live_…), OAuth token, or identity token.

Path Parameters

id
string
required

Body

application/json
atPeriodEnd
boolean
default:false

Response

200 - application/json

OK

id
string
status
enum<string>
Available options:
incomplete,
trialing,
active,
past_due,
paused,
unpaid,
canceled,
expired
planId
string
currentPeriodStart
string | null
currentPeriodEnd
string | null
cyclesCompleted
integer
createdAt
string